package com.jzlife.report.entity.reports;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


@Data
@ApiModel("个人排名结果")
public class IndividualRankingResult implements Serializable {
    /**
     * 商家ID
     */
    @ApiModelProperty(value = "商家ID")
    private String workNo;

    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名")
    private String workName;

    /**
     * 可评价数
     */
    @ApiModelProperty(value = "可评价数")
    private Integer canEvaluationCount;

    /**
     * 参评率
     */
    @ApiModelProperty(value = "参评率")
    private String evaluationRate;

    /**
     * 好评数
     */
    @ApiModelProperty(value = "好评数")
    private Integer goodEvaluationCount;

    /**
     * 好评率
     */
    @ApiModelProperty(value = "好评率")
    private String goodEvaluationRate;

    /**
     * 差评数
     */
    @ApiModelProperty(value = "差评数")
    private Integer badEvaluationCount;

    /**
     * 差评率
     */
    @ApiModelProperty(value = "差评率")
    private String badEvaluationRate;

    /**
     * 到门合格率
     */
    @ApiModelProperty(value = "到门合格率")
    private String ondoorPercentPassRate;

    /**
     * 复购数
     */
    @ApiModelProperty(value = "复购数")
    private Integer rebuyCount;

    /**
     * 上线满90天 1是0否
     */
    @ApiModelProperty(value = "上线满90天 1是0否")
    private String is90Day;

    /**
     * 最近一次被投诉日期
     */
    @ApiModelProperty(value = "最近一次被投诉日期")
    private String lastBeComplainedDate;

    /**
     * 做满100单无差评
     */
    @ApiModelProperty(value = "做满100单无差评")
    private String lastBeComplainedFinishOrder;

    /**
     * 城市
     */
    @ApiModelProperty(value = "城市")
    private String city;

    /**
     * 服务站
     */
    @ApiModelProperty(value = "服务站")
    private String stationName;

    /**
     * 上线时间
     */
    @ApiModelProperty(value = "上线时间")
    private String entryDate;

    /**
     *
     */
    @ApiModelProperty(value = "解约日期")
    private String cancelDate;

    private static final long serialVersionUID = 1L;
}

