package com.jzlife.report.service.newreport.impl;

import com.jzlife.report.dao.manager.ServiceSalaryReportMapper;
import com.jzlife.report.dao.reports.SPMapper;
import com.jzlife.report.dto.ReportOldCustomerRebuyDetail;
import com.jzlife.report.dto.ReportServiceRebuy;
import com.jzlife.report.dto.ReportServiceSalary;
import com.jzlife.report.service.newreport.ServiceReportService;
import com.jzlife.report.dto.ReportNewCustomerTradeDetail;
import com.jzlife.report.vo.DayReportBaseVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

@Service
@Slf4j
public class ServiceReportServiceImpl implements ServiceReportService {

	@Autowired
	private ServiceSalaryReportMapper serviceSalaryReportMapper;

	@Autowired
	private SPMapper spMapper;


	@Override
	public List<ReportServiceSalary> serviceSalaryList(DayReportBaseVo vo) {

		List<ReportServiceSalary> list = serviceSalaryReportMapper.serviceSalaryList(
				vo.getCity(),
				vo.getServiceStation(),
				vo.getWorkerName(),
				vo.getMonth(),
				vo.getStartPage(),
				vo.getLimit());

		return list;
	}

	@Override
	public List<ReportServiceRebuy> serviceRebuyList(DayReportBaseVo vo) {
		return spMapper.reportServiceRebuy(vo.getMonth(), vo.getCity(), vo.getServiceStation(), vo.getStartPage(), vo.getLimit());
	}

	@Override
	public List<ReportServiceRebuy> serviceRebuyDetailList(DayReportBaseVo vo) {
		return spMapper.reportServiceRebuyDetail(vo.getMonth(), vo.getCity(), vo.getServiceStation(), vo.getStartPage(), vo.getLimit());
	}

	@Override
	public List<ReportServiceRebuy> serviceRebuyPLDetailList(DayReportBaseVo vo) {
		return spMapper.reportServiceRebuyPLDetail(vo.getMonth(), vo.getCity(), vo.getServiceStation(), vo.getStartPage(), vo.getLimit());
	}

	@Override
	public  List<ReportOldCustomerRebuyDetail> serviceOldCustomerRebuyDetailList(DayReportBaseVo vo){
		return spMapper.reportServiceOldCustomerRebuyDetail(vo.getMonth(),vo.getCity(),vo.getStartPage(),vo.getLimit());
	}


	@Override
	public List<ReportNewCustomerTradeDetail> serviceNewCustomerTradeDetail(DayReportBaseVo vo,String type) {
		return spMapper.serviceNewCustomerTradeDetail(vo.getStartTime(), vo.getCity(), type, vo.getStartPage(), vo.getLimit());
	}

	@Override
	public String getEtlTime(){
		return spMapper.getEtlTime("select DATE_FORMAT(max(update_time),'%Y-%m-%d %H:%i') from trade_order");
	}
}
